function tabulate(data) {
  const table = d3.select('body').append('table').attr("id", "example").attr("class", "display nowrap")
  const thead = table.append('thead')
  const tbody = table.append('tbody')

  thead.append('tr')
    .selectAll(null)
    .data(data.shift())
    .enter()
    .append('th')
    .text(d => d)

  const rows = tbody.selectAll(null)
    .data(data)
    .enter()
    .append('tr')

  rows.selectAll(null)
    .data(d => d)
    .enter()
    .append('td')
    .text(d => d)

  return table;
}

d3.text("https://raw.githubusercontent.com/jpatokal/openflights/master/data/airports-extended.dat")
  .then(d3.csvParseRows)
  .then(tabulate)
  .then(() => $('#example').DataTable());